org.jbpm.casemgmt.impl.command

## Class CaseCommand<T>

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<T>

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<T>, org.kie.api.command.Command<T>
  Direct Known Subclasses:
    AddDataCaseFileInstanceCommand, AddDynamicProcessCommand, AddDynamicProcessToStageCommand, AddDynamicTaskCommand, AddDynamicTaskToStageCommand, CancelCaseCommand, CaseCommentCommand, CloseCaseCommand, ModifyRoleAssignmentCommand, RemoveDataCaseFileInstanceCommand, ReopenCaseCommand, StartCaseCommand, TriggerAdHocNodeInStageCommand, UpdateCaseFileInstanceCommand

      public abstract class CaseCommand<T>
      extends Object
      implements org.drools.core.command.impl.ExecutableCommand<T>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseCommand(org.kie.internal.identity.IdentityProvider identityProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CaseEventSupport` | `getCaseEventSupport(org.kie.api.runtime.Context context)`
    `protected CaseFileInstance` | `getCaseFile(org.kie.api.runtime.KieSession ksession, String caseId)`
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()`
    `protected org.kie.api.runtime.manager.RuntimeManager` | `getRuntimeManager(org.kie.api.runtime.Context context)`
    `protected void` | `triggerRules(org.kie.api.runtime.KieSession ksession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction, execute`

- - ### Constructor Detail

    - #### CaseCommand

          public CaseCommand(org.kie.internal.identity.IdentityProvider identityProvider)

  - ### Method Detail

    - #### getCaseEventSupport

          protected CaseEventSupport getCaseEventSupport(org.kie.api.runtime.Context context)

    - #### getRuntimeManager

          protected org.kie.api.runtime.manager.RuntimeManager getRuntimeManager(org.kie.api.runtime.Context context)

    - #### getIdentityProvider

          public org.kie.internal.identity.IdentityProvider getIdentityProvider()

    - #### triggerRules

          protected void triggerRules(org.kie.api.runtime.KieSession ksession)

    - #### getCaseFile

          protected CaseFileInstance getCaseFile(org.kie.api.runtime.KieSession ksession,
                                                 String caseId)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.